Subject: Completeness - Abdullah's remarks

From: Shashi K. Gadia <[email-masked]>
Date: Mon, 23 Aug 93 14:09:51 CDT

Hi Rick: 

I saw remarks made by Abdullah about completeness.  
Although I do not 100% agree with Abdullah, but 
I do agree with the main thrust of his concerns. 
The formulations of completeness 
on the basis of keys and the notions "grouped 
and ungrouped" are neither very sound nor add 
all that much to the expressive power.  

At the workshop I demonstrated to Group B, a 
serious flaw in the concept of time invariant 
key to the extent that they are NOT really all 
that invariant.  For example, the NAME attribute 
seems invariant in the emp(NAME SALARY DEPT) 
relation, but not invariant in management(DEPT NAME) 
relation, if DEPT is chosen as the key.  

I also exhibited how, by simply adding a system 
alias table, the whole issue is cleanly resolved: modelling 
(and hence querying) power is (strictly) increased; 
and all this without making any changes to the syntax 
and user-friendliness of our languages.

I am hoping that the workshop report does take 
these remarks into considerations.  

Regards 
- Shashi